---
title: CPE
layout: layouts/base_subject.njk
eleventyNavigation:
  key: CPE
  order: 1
---

<h2 id="overview">Overview</h2>
<ul>
  <li>Showing alt. dev. environment, <a href="/presentations/c/fast_track/">Fast Track to C</a>, Exercises</li>
  <li><a href="/presentations/c/structs/">Structs</a> + Exercises</li>
  <li><a href="/presentations/c/multiple_files/">Steps during compilation, Working with multiple source files</a>, build systems</li>
  <li><a href="/presentations/c/pointers/">Pointers</a> + Exercises</li>
  <li><a href="/presentations/c/dynamic_memory_management/">Dynamic Memory Management</a> + Exercises</li>
</ul>

<h2 id="exercises">Exercises</h2>
<ul>
  <li><a href="/exercises/c/exercise_3/">Mixed exercises</a></li>
  <li><a href="/exercises/c/exercise_structs/">Structs</a></li>
  <li><a href="/exercises/c/exercise_multiple_files/">Multiple source files</a></li>
  <li><a href="/exercises/c/exercise_pointers/">Pointers</a></li>
  <li><a href="/exercises/c/exercise_free_store/">Dynamic memory management (free store)</a></li>
</ul>

<h2 id="exams">Prior Exams</h2>
<ul>
  <li><a href="tests/cpe_mid_term_s2022_a_de/">CPE mid term s2022 (group A)</a></li>
  <li><a href="tests/cpe_mid_term_s2022_b_de/">CPE mid term s2022 (group B)</a></li>
  <li><a href="tests/cpe_final_s2022_a_de/">CPE final s2022 (group A)</a></li>
</ul>

{# <h2>Software</h2> #}
{#
<ul>
  <li><a href="https://fritzing.org/">Fritzing</a></li>
  <li><a href="https://www.kicad.org/">KiCad</a></li>
  <li><a href="https://librepcb.org/">LibrePCB (early preview version)</a></li>
</ul>

Fritzing can be quite easily patched to included European (IEC) symbols by simply copying
the corresponding svg images to the correct fritzing directories containing schematic
symbols.

#}

<h2 id="links">Links</h2>

{% include 'blocks/code_challenge_sites.njk' %}

<h3 id="other_sites">Other</h3>
<ul>
  <li><a href="https://github.com">GitHub</a></li>
  <li><a href="https://replit.com/">repl.it</a> (requires registration)</li>
  <li><a href="https://pythontutor.com">C / Python Tutor</a></li>
</ul>

<h2>Lehrplan</h2>
<a href="https://www.ris.bka.gv.at/Dokumente/BgblAuth/BGBLA_2021_II_383/COO_2026_100_2_1890843.html">Lehrplan im RIS</a> (Anlage 1.6)

<h3>III. Jahrgang</h3>

<h4>Kompetenzmodul 5 - Lehrstoff</h4>
<ul>
  <li>Bereich Projektentwicklung
    <ul>
      <li>Projekte zu den Lehrinhalten der fachtheoretischen Gegenstände</li>
    </ul>
  </li>
</ul>

<h4>Kompetenzmodul 6 - Lehrstoff</h4>
<ul>
  <li>Bereich Projektentwicklung
    <ul>
      <li>Projekte zu den Lehrinhalten der fachtheoretischen Gegenstände</li>
    </ul>
  </li>
</ul>
